{{- if .Values.istio.enabled -}}
apiVersion: networking.istio.io/v1alpha3
kind: VirtualService
metadata:
  name: {{ include "mpclear-payment.shortname" . }}
  labels:
{{ include "mpclear-payment.labels" . | indent 4 }}
spec:
  gateways:
  - global-gateway.istio-system.svc.cluster.local
  hosts:
  - "{{ include "mpclear-payment.shortname" . }}.{{ .Values.global.psci_devops_domain }}"
  http:
  - match:
    - uri:
        prefix: "/"
    route:
    - destination:
        host: "{{ include "mpclear-payment.shortname" . }}"
        port:
          number: {{ .Values.service.port }}
{{- end }}
